Bug 1577259 - CVE-2018-10773 CVE-2018-10774 CVE-2018-10775 bibutils: various flaws [fedora-all]
Summary: CVE-2018-10773 CVE-2018-10774 CVE-2018-10775 bibutils: various flaws [fedora-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bibutils
Version: 28
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-10773 CVE-2018-10774 CVE-2018-10775
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:57 UTC by Laura Pardo
Modified: 2018-08-01 17:54 UTC (History)
1 user (show)

Fixed In Version: bibutils-6.3-1 bibutils-6.6-1.fc28 bibutils-6.6-1.fc27
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 17:41:01 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-11 14:57:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Laura Pardo 2018-05-11 14:57:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1577258,1577259

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Laura Pardo 2018-05-11 15:05:54 UTC
Added new parent flaw bugs 1577268 (CVE-2018-10774) to this tracking bug.

Comment 3 Laura Pardo 2018-05-11 15:14:50 UTC
Added new parent flaw bugs 1577280 (CVE-2018-10775) to this tracking bug.

Comment 4 Fedora Update System 2018-06-29 09:41:55 UTC
bibutils-6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c465c127c

Comment 5 Fedora Update System 2018-06-29 09:42:08 UTC
bibutils-6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f84867e56f

Comment 6 Fedora Update System 2018-07-01 02:53:29 UTC
bibutils-6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c465c127c

Comment 7 Fedora Update System 2018-07-01 05:06:10 UTC
bibutils-6.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f84867e56f

Comment 8 Fedora Update System 2018-07-23 07:45:49 UTC
bibutils-6.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 9 Fedora Update System 2018-07-23 07:46:14 UTC
bibutils-6.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ec3061fc8

Comment 10 Fedora Update System 2018-07-23 07:46:30 UTC
bibutils-6.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-67914db5d9

Comment 11 Fedora Update System 2018-07-23 19:40:37 UTC
bibutils-6.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ec3061fc8

Comment 12 Fedora Update System 2018-07-23 19:50:11 UTC
bibutils-6.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9d6ff695a

Comment 13 Fedora Update System 2018-07-23 22:21:46 UTC
bibutils-6.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-67914db5d9

Comment 14 Fedora Update System 2018-08-01 17:41:01 UTC
bibutils-6.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-08-01 17:54:55 UTC
bibutils-6.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.